=== debian/changelog ===
elisa-player (20.12.3-1) unstable; urgency=medium

  * New upstream release (20.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 06 Mar 2021 23:53:35 +0100

elisa-player (20.12.2-2) unstable; urgency=medium

  * Team upload.
  * Drop the 'show-command-line-help' autopkgtest, as it is not that useful.
  * Remove the creation of custom $HOME, $TMPDIR, and $XDG_RUNTIME_DIR
    directories when running dh_auto_test, as debhelper does that already in
    compatibility 13+ (already in use).
  * Explicitly add the gettext, and pkg-config build dependencies.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Feb 2021 12:23:58 +0100

elisa-player (20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 12:48:24 +0100

elisa-player (20.12.1-1) unstable; urgency=medium

  * Refresh upstream metadata.
  * Bump Standards-Version to 4.5.1 (no change required).
  * Cleanup copyright information.
  * Update project homepage.
  * Update Vcs- fields.
  * New upstream release (20.12.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Jan 2021 22:24:04 +0100

elisa-player (20.12.0-1) unstable; urgency=medium

  * Fix watch file.
  * New upstream release (20.12.0).
  * Bump build dependencies according to upstream build system:
    - Qt >= 5.14
  * Add runtime dependencies to QML modules.
  * Refresh copyright information.
  * Normalize GitLab CI/CD pipeline to salsa-ci.yml to match the rest of the
    team’s packages.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Dec 2020 16:51:08 +0100

elisa-player (20.08.2-1) unstable; urgency=medium

  * New upstream release (20.08.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Oct 2020 00:25:18 +0100
