## elisa-player 21.08.1

=== debian/changelog ===
elisa-player (21.08.1-1ubuntu1) impish; urgency=medium

  * Add upstream bugfix patches:
    - d/p/upstream_fix-toolbutton-icon-colours.patch
    - d/p/upstream_dont-disable-forward-backward-buttons-when-paused.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Sep 2021 15:21:39 +0100

elisa-player (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.
  * Drop upstream patch.

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Sep 2021 14:49:21 +0900

elisa-player (21.08.0-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry pick upstream fix for broken files view.

 -- Norbert Preining <norbert@preining.info>  Thu, 26 Aug 2021 01:23:51 +0900

elisa-player (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:44:33 +0900

elisa-player (21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 09:48:52 +0900

elisa-player (21.04.2-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.2).

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Jun 2021 19:23:23 +0900

elisa-player (21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:04:36 +0900

elisa-player (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Add myself to uploaders.
  * Update dependencies from cmake.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 10:15:41 +0900
