=== debian/changelog ===
elisa-player (21.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Nov 2021 08:42:57 +0100

elisa-player (21.08.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.2).

 -- Norbert Preining <norbert@preining.info>  Fri, 08 Oct 2021 12:52:25 +0900
