=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: elisa-player
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: baloo-kf5-dev (>= 5.80.0~),
@@ -49,8 +50,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/multimedia/elisa
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/elisa
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/elisa.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/elisa
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/elisa
 
 Package: elisa
 Architecture: any
