=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_test:
	-xvfb-run -a --server-args="-screen 0 1024x768x24+32" dbus-run-session dh_auto_test --no-parallel

override_dh_makeshlibs:
	:
