## elisa-player 22.12.1

=== debian/changelog ===
elisa-player (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:33:20 +0100

elisa-player (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:26 +0100

elisa-player (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:48 +0100

elisa-player (22.08.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Backport ustream patch to hopefully fix playback stuttering.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 20 Nov 2022 17:05:19 +0100

elisa-player (22.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.90.0
    - drop the manually specified libkf5filemetadata3, already pulled in by
      libkf5filemetadata-dev
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Do not run the test suite during build time: there are two tests failing
    (mediaplaylistproxymodelTest, elisaqmltests), and they fail on the upstream
    CI as well; since upstream seems to ignore their failures, so we can do too
    (Closes: #1013576)
    - pass -DBUILD_TESTING=OFF to cmake to stop building them
    - make override_dh_auto_test an empty override
    - drop the test-only build dependencies: dbus, libkf5filemetadata-bin,
      libqt5multimedia5-plugins, libqt5sql5-sqlite, qml-module-qtmultimedia,
      qml-module-qtqml-models2, qml-module-qtquick-controls,
      qml-module-qtquick-controls2, qml-module-qtquick-layouts,
      qml-module-qttest, xauth, and xvfb
  * Update lintian overrides.
  * CI: ignore reprotest build path variations.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Oct 2022 07:16:55 +0200
